@import url("https://fonts.googleapis.com/css2?family=Inter&display=swap");
@import url("/static/reset.css");

:root {
  --primary-color: #1e90ff;
  --primary-color-hover: #1c87e8;
}

body {
  font-family: "Inter", sans-serif;
  font-size: 1rem;
}

a {
  text-decoration: none;
  color: var(--primary-color);
}

a:hover {
  text-decoration: underline;
}

/*#region List*/
ul {
  list-style-type: disc;
  list-style-position: inside;
}

ol {
  list-style-type: decimal;
  list-style-position: inside;
}

ul ul,
ol ul {
  list-style-type: circle;
  list-style-position: inside;
  margin-left: 15px;
}

ol ol,
ul ol {
  list-style-type: lower-latin;
  list-style-position: inside;
  margin-left: 15px;
}

/*#endregion*/

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.page-content {
  width: 100%;
  max-width: 1280px;
  margin: auto;
  padding: 1em;
}

.page-title {
  font-size: 2rem;
  margin-bottom: 1em;
  font-weight: bold;
}

.page-subtitle {
  font-size: 1.5rem;
  margin-bottom: 1em;
  font-weight: bold;
}

.text-center {
  text-align: center;
}

.form {
  width: 100%;
  max-width: 400px;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.form input {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  outline: none;
  font-size: 1rem;
}

.primary-button {
  background-color: var(--primary-color);
  color: #fff;
  border: none;
  cursor: pointer;
}

.primary-button:hover {
  background-color: var(--primary-color-hover);
}
